
**********
* PCHIIN *
**********
@  7, 7 SAY 'U KUNT NU HET HISTORISCH BESTAND LATEN OPZETTEN. PLAATS EEN 8"'
@  8, 7 SAY "DISKETTE, DIE REEDS IS GEFORMATTEERD, IN DE DISK-DRIVE."
@ 10,25 SAY "1- OPZETTEN HISTORISCH BESTAND"
@ 11,25 SAY "E- EINDE"
@ 13,28 SAY "UW KEUZE SVP"
STORE F TO fin:init
DO WHILE .NOT. fin:init
   STORE  "." TO akk
   DO WHILE .NOT (akk $ '1E')  
      STORE "." TO akk
      @ 13,41 GET akk PICTURE "!"
      READ
      CLEAR GETS
   ENDDO
   IF akk = "1" .AND. FILE ('&historie')
      STORE "." TO akk
      DO WHILE .NOT. (akk $ 'JN')
         STORE "." TO akk
         @ 16,7 SAY "HISTORISCH BESTAND BESTAAT REEDS, TOCH OPZETTEN (J/N) " GET akk PICTURE "!"
         READ
         CLEAR GETS
      ENDDO
      @ 16,7 SAY "                                                         "
      IF akk = "J"
         STORE "1" TO akk
      ELSE
         STORE "." TO akk
         STORE T TO fin:init
      ENDIF
   ENDIF
   IF akk = "1" 
      @ 22,0 SAY "HISTORISCH BESTAND WORDT AANGEMAAKT."
      USE pcduhist
      COPY STRUCTURE TO &historie 
      USE &historie
      INDEX ON prod:nr TO &historie
      USE
      @ 22,0 SAY "                                    "
      STORE T TO fin:init
   ENDIF
   IF akk = "E"
      STORE T TO fin:init
   ENDIF
ENDDO
RETURN
*
* EINDE PROGRAMMA
* 
 